QGIS Application - Feature request #10251
Processing - Order Model saves values
2014-05-13 07:38 AM - Antonio Locandro

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 18688
Description

This is how model saves the order of values

PARAMETER:ParameterVector VECTORLAYER_INPUTROUTEVECTOR|input_route_vector|1|False
167.0,60.0

VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_0===2
VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_O===
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_0===6
VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_0O===calc_dist
ALGORITHM:qgis:addfieldtoattributestable

168.0,160.0

However the algorithm shows this order in screen
Field Name

Field Type

Field Length

Field Precision

Output layer

It would be very useful in order to check models that values where saved in the same order as presented in screen

PARAMETER:ParameterVector VECTORLAYER_INPUTROUTEVECTOR|input_route_vector|1|False
167.0,60.0

VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_0O===calc_dist
VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_O===
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_0===
VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_0O===
ALGORITHM:qgis:addfieldtoattributestable

168.0,160.0

History

#1 - 2014-05-13 07:47 AM - Antonio Locandro

This is another sample

VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_1===
VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_2===2
VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_2===
VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_0===
VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_0===
VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_2===diff_dist
VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_0===calc_dist
VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_1===text_dist
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_2===
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_1===
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_0===6
VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_1===2

A little bit hard to check things since they aren't grouped or in order by layer, this would be easier

VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_0===calc_dist
VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_0===
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_O===
VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_0===
VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_1===text_dist
VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_1===
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_1===
VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_1===
VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_2===diff_dist
VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_2===1
VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_2===
VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_2===

#2 - 2014-05-13 11:33 AM - Giovanni Manghi
- Category set to 64

#3 - 2014-10-04 12:16 PM - Giovanni Manghi
- Category deleted (64)

- Project changed from 78 to QGIS Application

#4 - 2014-10-04 12:17 PM - Giovanni Manghi
- Category set to Processing/Modeller

#5 - 2014-10-04 12:18 PM - Giovanni Manghi

- Assignee set to Victor Olaya
#6 - 2014-11-22 03:12 AM - Alexander Bruy

- Status changed from Open to Rejected
- Resolution set to wontfix

This makes no sence, while models itself works as expected

#7 - 2014-11-22 02:09 PM - Antonio Locandro

Does make sense that it saves in the same order the modeler asks for parameter, especially when debugging when processing fails to work or has bugs,

however it seems there is no interest in changing its current behaviour so | will have to live with it
